package blockchain

import (
	"math/big"

	"github.com/ethereum/go-ethereum/common"
)

const (
	TopicParticipate    = "0xddd670a4142d06229b922c5d433d29131580e1a2952c86700b0a36ea9e8b87ee"
	COLLECT_PARTICIPATE = "participate"
	COLLECTCONTRACT     = "0xaaaaaaaaaaaaaaaaa"
)

type EventParticipate struct {
	User    common.Address
	Inviter common.Address
	Amount  *big.Int
}
